Skip to content

# Interface: ClusterModel

## Hierarchy

- ClusterModel

## Implemented by

- Cluster

## Index

### Properties

- accessibleNamespaces
- contextName
- id
- kubeConfig
- kubeConfigPath
- metadata
- ownerRef
- preferences
- workspace

## Properties

### `Optional` accessibleNamespaces

• accessibleNamespaces? : string[]

Defined in src/common/cluster-store.ts:67

List of accessible namespaces

### `Optional` contextName

• contextName? : string

Defined in src/common/cluster-store.ts:53

User context in kubeconfig

### id

• id: ClusterId

Defined in src/common/cluster-store.ts:44

Unique id for a cluster

### `Optional` kubeConfig

• kubeConfig? : string

Defined in src/common/cluster-store.ts:70

`deprecated`

### kubeConfigPath

• kubeConfigPath: string

Defined in src/common/cluster-store.ts:47

Path to cluster kubeconfig

### `Optional` metadata

• metadata? : ClusterMetadata

Defined in src/common/cluster-store.ts:59

Metadata

### `Optional` ownerRef

• ownerRef? : string

Defined in src/common/cluster-store.ts:64

If extension sets ownerRef it has to explicitly mark a cluster as enabled during onActive (or when cluster is saved)

### `Optional` preferences

• preferences? : ClusterPreferences

Defined in src/common/cluster-store.ts:56

Preferences

### `Optional` workspace

• workspace? : WorkspaceId

Defined in src/common/cluster-store.ts:50

Workspace id